FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 01-30-2011, 01:28 AM
Tim Dunphy
 
Default py-yaml complaints from yum

hello list!!

I'm having a curious issue.. if I type yum update -y the system
complains of a PyYAML dependency:

--> Finished Dependency Resolution
PyYAML-3.08-4.el5.x86_64 from installed has depsolving problems
--> Missing Dependency: libyaml-0.so.1()(64bit) is needed by package
PyYAML-3.08-4.el5.x86_64 (installed)
Error: Missing Dependency: libyaml-0.so.1()(64bit) is needed by
package PyYAML-3.08-4.el5.x86_64 (installed)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest


if I do yum whatprovides "*/libyaml-0.so.1" this is what I get back:


[root@VIRTCENT14:~] #yum whatprovides "*/libyaml-0.so.1"
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* addons: mirror.cogentco.com
* base: hpc.arc.georgetown.edu
* centosplus: mirror.steadfast.net
* contrib: hpc.arc.georgetown.edu
* epel: mirror.seas.harvard.edu
* extras: mirror.atlanticmetro.net
* remi: rpms.famillecollet.com
* rpmforge: fr2.rpmfind.net
* updates: mirror.ash.fastserv.com
libyaml-0.1.2-3.el5.i386 : YAML 1.1 parser and emitter written in C
Repo : epel
Matched from:
Filename : /usr/lib/libyaml-0.so.1



libyaml-0.1.2-3.el5.x86_64 : YAML 1.1 parser and emitter written in C
Repo : epel
Matched from:
Filename : /usr/lib64/libyaml-0.so.1



libyaml-0.1.2-3.el5.x86_64 : YAML 1.1 parser and emitter written in C
Repo : installed
Matched from:
Filename : /usr/lib64/libyaml-0.so.1


but it looks like /usr/lib64/libyaml-0.so.1 is already installed on this system.

[root@VIRTCENT14:~] #ls -l /usr/lib64/libyaml-0.so.1
lrwxrwxrwx 1 root root 18 Dec 19 22:46 /usr/lib64/libyaml-0.so.1 ->
libyaml-0.so.1.1.0


So what's yum complaining about here, and may I have some advice on
how to correct this error?

thanks CentOS list! You have a history of awesomeness which I respect.




--
GPG me!!

gpg --keyserver pool.sks-keyservers.net --recv-keys F186197B
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 01-30-2011, 12:31 PM
Kai Schaetzl
 
Default py-yaml complaints from yum

It's not a good idea to have all these repo's enabled at the same time and
without protectbase or priorities. There's likely a conflict because of
this. And it makes debugging now more complex. Try yum clean metadata and
if that doesn't help try running with a higher debug level. Maybe an
update wants to replace that package, somehow breaking the dependency.
Also, remove that i386 version.



Kai


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 02:31 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org